unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  Datei: TBitmap;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not assigned(Datei) then begin
    Datei:=TBitmap.Create;
    Datei.SetSize(ClientWidth, ClientHeight);
    Datei.Canvas.CopyRect(ClientRect, Canvas, ClientRect);
    Datei.SaveToFile('Datei');
    Datei.Free;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  if FileExists('Datei') then begin

    for i:=0 to (ControlCount - 1) do
      if (Controls[i] is TCustomEdit) then
        TCustomEdit(Controls[i]).Visible:=False;

    Datei:=TBitmap.Create;
    Datei.LoadFromFile('Datei');
  end;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
  if Assigned(Datei) then
    Canvas.StretchDraw(ClientRect, Datei);
end;

end.

